Page MenuHomePhabricator

[AccessControl] Special:Version causes Invalid or virtual namespace -1 given.
Closed, ResolvedPublic

Description

With AccessControl extension, Special:Version yields:

/index.php/Special:Version MWException from line 121 of includes/page/WikiPage.php: Invalid or virtual namespace -1 given.

Backtrace:

#0 extensions/AccessControl/AccessControl.hooks.php(86): WikiPage::factory(Title)
#1 extensions/AccessControl/AccessControl.hooks.php(294): AccessControlHooks::getContentPage(integer, string)
#2 includes/Hooks.php(177): AccessControlHooks::onUserCan(Title, User, string, string)
#3 includes/Hooks.php(205): Hooks::callHook(string, array, array, NULL)
#4 includes/Title.php(2269): Hooks::run(string, array)
#5 includes/Title.php(2734): Title->checkPermissionHooks(string, User, array, string, boolean)
#6 includes/Title.php(2135): Title->getUserPermissionsErrorsInternal(string, User, string)
#7 includes/MediaWiki.php(207): Title->getUserPermissionsErrors(string, User)
#8 includes/MediaWiki.php(863): MediaWiki->performRequest()
#9 includes/MediaWiki.php(524): MediaWiki->main()
#10 index.php(42): MediaWiki->run()
#11 {main}

Or in short, it does not support Special pages which have namespace value of -1 (NS_SPECIAL).

Details

Related Gerrit Patches:
mediawiki/extensions/AccessControl : masterDon't throw exceptions on special pages

Event Timeline

hashar created this task.May 28 2018, 12:38 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 28 2018, 12:38 PM

Change 439315 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/extensions/AccessControl@master] Don't throw exceptions on special pages

https://gerrit.wikimedia.org/r/439315

Change 439315 merged by jenkins-bot:
[mediawiki/extensions/AccessControl@master] Don't throw exceptions on special pages

https://gerrit.wikimedia.org/r/439315

hashar closed this task as Resolved.Jun 19 2018, 3:03 PM
hashar assigned this task to Legoktm.
Vvjjkkii renamed this task from [AccessControl] Special:Version causes Invalid or virtual namespace -1 given. to d5baaaaaaa.Jul 1 2018, 1:07 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Legoktm as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii edited subscribers, added: Legoktm; removed: gerritbot, Aklapper.
CommunityTechBot renamed this task from d5baaaaaaa to [AccessControl] Special:Version causes Invalid or virtual namespace -1 given..Jul 2 2018, 3:33 PM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to Legoktm.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot edited subscribers, added: gerritbot, Aklapper; removed: Legoktm.